Loading...
Searching...
No Matches
Opm::UDQContext Class Reference

## Classes

struct | MatcherFactories

## Public Member Functions

| UDQContext (const UDQFunctionTable &udqft, const WellMatcher &wm, const GroupOrder &go, const std::unordered_map< std::string, UDT > &tables, MatcherFactories create_matchers, SummaryState &summary_state, UDQState &udq_state)
std::optional< double > | get (const std::string &key) const
std::optional< double > | get_well_var (const std::string &well, const std::string &var) const
std::optional< double > | get_group_var (const std::string &group, const std::string &var) const
std::optional< double > | get_segment_var (const std::string &well, const std::string &var, std::size_t segment) const
std::optional< double > | get_region_var (const std::string &regSet, const std::string &var, std::size_t region) const
const UDT & | get_udt (const std::string &name) const
void | add (const std::string &key, double value)
void | update_assign (const std::string &keyword, const UDQSet &udq_result)
void | update_define (std::size_t report_step, const std::string &keyword, const UDQSet &udq_result)
const UDQFunctionTable & | function_table () const
const std::vector< std::string > & | wells () const
std::vector< std::string > | wells (const std::string &pattern) const
std::vector< std::string > | nonFieldGroups () const
std::vector< std::string > | groups (const std::string &pattern) const
SegmentSet | segments () const
SegmentSet | segments (const std::vector< std::string > &set_descriptor) const
RegionSetMatchResult | regions () const
RegionSetMatchResult | regions (const std::string &vector_name, const std::vector< std::string > &set_descriptor) const

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQContext.hpp
- opm/input/eclipse/Schedule/UDQ/UDQContext.cpp